;
; Work in progress, March 2007
;
pro plotimage,image,min=min,max=max,full=full,nlev=nlev,$
              interp=interp,nx=nx,ny=ny,aspect=aspect,$
              position=position
if n_elements(min) eq 0 then min = min(image)
if n_elements(max) eq 0 then max = max(image)
if n_elements(position) eq 0 then position=[0.1,0.1,0.9,0.9]
   ;position=[0.187,0.156,0.945,0.922]
if keyword_set(full) then position=[0.,0.,1.,1.]
if not keyword_set(nlev) then nlev=256
q = (nlev-1)*( (image-min)/(max-min) )
case !d.name of 
    'PS': begin
        if keyword_set(nx) and keyword_set(ny) then begin
            qq = floor(congrid(q,nx,ny,interp=interp,/center))*(256/nlev)
        endif else begin
            qq = floor(q)*(256/nlev)
        endelse
        qq  = qq > 0 < 255
        sx  =(!d.x_size/!d.x_px_cm)
        sy  =(!d.y_size/!d.y_px_cm)
        imsx=sx*(position[2]-position[0])
        imsy=sy*(position[3]-position[1])
        if keyword_set(aspect) then begin
            imss=min([imsx,imsy])
            imsx=imss
            imsy=imss
        endif
        impx=sx*position[0]
        impy=sy*position[1]
        tv,qq,impx,impy,xsize=imsx,ysize=imsy,/centimeters
    end
    'X': begin
        imsx=floor(!d.x_size*(position[2]-position[0]))
        imsy=floor(!d.y_size*(position[3]-position[1]))
        if keyword_set(aspect) then begin
            imss=min([imsx,imsy])
            imsx=imss
            imsy=imss
        endif
        impx=floor(!d.x_size*position[0])
        impy=floor(!d.y_size*position[1])
        qq = floor(congrid(q,imsx,imsy,interp=interp,/center))*(256/nlev)
        qq = qq > 0 < 255
        tv,qq,impx,impy
    end
    else: begin
        print,'Dont know device'
        stop
    end
endcase
end


